package com.backend.pojo;

import com.backend.anno.State;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class Express {
    private String expressid;
    private String sename;
    private String sephone;
    private String seaddress;
    private String rename;
    private String rephone;
    private String readdress;
    @State
    private String issigned;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy年MM月dd日")
    private Date signtime;

}
